Bug 730955 (CVE-2011-2927) - CVE-2011-2927 Satellite/Spacewalk: XSS flaw in channels search
Summary: CVE-2011-2927 Satellite/Spacewalk: XSS flaw in channels search
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2927
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110915,reported=20110816,sou...
Depends On: 731646
Blocks: 622406 713496
TreeView+ depends on / blocked
 
Reported: 2011-08-16 11:27 UTC by Mark J. Cox
Modified: 2019-06-08 18:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 21:22:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1299 normal SHIPPED_LIVE Moderate: Red Hat Network Satellite server security and enhancement update 2011-09-15 17:54:55 UTC

Description Mark J. Cox 2011-08-16 11:27:12 UTC
Nils Juenemann reported that there are cross-site scripting flaws in the various Search forms provided by Red Hat Satellite. 

Acknowledgements:

Red Hat would like to thank Nils Juenemann for reporting this issue.

Comment 4 errata-xmlrpc 2011-09-15 17:55:00 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:1299 https://rhn.redhat.com/errata/RHSA-2011-1299.html

Comment 5 Jan Pazdziora 2011-09-16 09:34:15 UTC
Fixed in Spacewalk master, commits

6ca26364228b6b1f1010d910b9911244eb37b883
a9da89b35581f4eedfb6ca7ddff4343b9ea21f15
e0c4ae8dd7093bbe6a12ab4462272fbab573e098
3a03e49904465ec5f16bde31c92e67c0b85ef1b9

Tagged as spacewalk-java-1.6.46-1.


Note You need to log in before you can comment on or make changes to this bug.